BEGIN ~FERTHG~

IF ~Global("HelpFerthg","GLOBAL",0)
Global("FerthgilFight","GLOBAL",0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 DO ~SetGlobal("HelpFerthg","GLOBAL",1)
SetGlobal("FerthgilFight","GLOBAL",1)~ GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
  IF ~~ THEN REPLY @3 GOTO 3
  IF ~~ THEN REPLY @4 GOTO 4
END

IF ~~ THEN BEGIN 1
  SAY @5
  IF ~~ THEN REPLY @6 GOTO 5
END

IF ~~ THEN BEGIN 2
  SAY @7
  IF ~~ THEN DO ~SetGlobal("FerthgilFight","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @8
  IF ~~ THEN DO ~SetGlobal("FerthgilFight","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @9
  IF ~~ THEN DO ~SetGlobal("FerthgilFight","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 5
  SAY @10
  IF ~~ THEN REPLY @11 GOTO 6
END

IF ~~ THEN BEGIN 6
  SAY @12
  IF ~~ THEN DO ~JoinParty()~ JOURNAL @13 EXIT
END

IF ~Global("FerthgilFight","GLOBAL",1)
Global("HelpFerthg","GLOBAL",0)
~ THEN BEGIN 7
  SAY @14
  IF ~~ THEN REPLY @1 GOTO 8
  IF ~~ THEN REPLY @15 EXIT
END

IF ~~ THEN BEGIN 8
  SAY @16
  IF ~~ THEN DO ~SetGlobal("HelpFerthg","GLOBAL",1)
JoinParty()
~ JOURNAL @13 EXIT
END
